--------------------------------------------------------------------------------
--     This file is owned and controlled by Xilinx and must be used           --
--     solely for design, simulation, implementation and creation of          --
--     design files limited to Xilinx devices or technologies. Use            --
--     with non-Xilinx devices or technologies is expressly prohibited        --
--     and immediately terminates your license.                               --
--                                                                            --
--     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"          --
--     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR                --
--     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION        --
--     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION            --
--     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS              --
--     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,                --
--     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE       --
--     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY               --
--     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE                --
--     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR         --
--     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF        --
--     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS        --
--     FOR A PARTICULAR PURPOSE.                                              --
--                                                                            --
--     Xilinx products are not intended for use in life support               --
--     appliances, devices, or systems. Use in such applications are          --
--     expressly prohibited.                                                  --
--                                                                            --
--     (c) Copyright 1995-2003 Xilinx, Inc.                                   --
--     All rights reserved.                                                   --
--------------------------------------------------------------------------------
-- You must compile the wrapper file ddc_cic2.vhd when simulating
-- the core, ddc_cic2. When compiling the wrapper file, be sure to
-- reference the XilinxCoreLib VHDL simulation library. For detailed
-- instructions, please refer to the "CORE Generator Guide".

-- The synopsys directives "translate_off/translate_on" specified
-- below are supported by XST, FPGA Compiler II, Mentor Graphics and Synplicity
-- synthesis tools. Ensure they are correct for your synthesis tool(s).

-- synopsys translate_off
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

Library XilinxCoreLib;
ENTITY ddc_cic2 IS
	port (
	DIN: IN std_logic_VECTOR(13 downto 0);
	ND: IN std_logic;
	RFD: OUT std_logic;
	CLK: IN std_logic;
	DOUT: OUT std_logic_VECTOR(42 downto 0);
	RDY: OUT std_logic);
END ddc_cic2;

ARCHITECTURE ddc_cic2_a OF ddc_cic2 IS

component wrapped_ddc_cic2
	port (
	DIN: IN std_logic_VECTOR(13 downto 0);
	ND: IN std_logic;
	RFD: OUT std_logic;
	CLK: IN std_logic;
	DOUT: OUT std_logic_VECTOR(42 downto 0);
	RDY: OUT std_logic);
end component;

-- Configuration specification 
	for all : wrapped_ddc_cic2 use entity XilinxCoreLib.C_CIC_V3_0(behavioral)
		generic map(
			c_differential_delay => 1,
			c_sample_rate_change_max => 16383,
			c_number_channels => 1,
			c_filter_type => 1,
			c_result_width => 43,
			c_enable_rlocs => 0,
			c_sample_rate_change => 64,
			c_latency => 1,
			c_sample_rate_change_min => 4,
			c_sample_rate_change_type => 2,
			c_data_width => 14,
			c_stages => 5);
BEGIN

U0 : wrapped_ddc_cic2
		port map (
			DIN => DIN,
			ND => ND,
			RFD => RFD,
			CLK => CLK,
			DOUT => DOUT,
			RDY => RDY);
END ddc_cic2_a;

-- synopsys translate_on

