--------------------------------------------------------------------------------
--     This file is owned and controlled by Xilinx and must be used           --
--     solely for design, simulation, implementation and creation of          --
--     design files limited to Xilinx devices or technologies. Use            --
--     with non-Xilinx devices or technologies is expressly prohibited        --
--     and immediately terminates your license.                               --
--                                                                            --
--     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"          --
--     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR                --
--     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION        --
--     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION            --
--     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS              --
--     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,                --
--     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE       --
--     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY               --
--     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE                --
--     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR         --
--     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF        --
--     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS        --
--     FOR A PARTICULAR PURPOSE.                                              --
--                                                                            --
--     Xilinx products are not intended for use in life support               --
--     appliances, devices, or systems. Use in such applications are          --
--     expressly prohibited.                                                  --
--                                                                            --
--     (c) Copyright 1995-2003 Xilinx, Inc.                                   --
--     All rights reserved.                                                   --
--------------------------------------------------------------------------------
-- You must compile the wrapper file dds.vhd when simulating
-- the core, dds. When compiling the wrapper file, be sure to
-- reference the XilinxCoreLib VHDL simulation library. For detailed
-- instructions, please refer to the "CORE Generator Guide".

-- The synopsys directives "translate_off/translate_on" specified
-- below are supported by XST, FPGA Compiler II, Mentor Graphics and Synplicity
-- synthesis tools. Ensure they are correct for your synthesis tool(s).

-- synopsys translate_off
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

Library XilinxCoreLib;
ENTITY dds IS
	port (
	DATA: IN std_logic_VECTOR(25 downto 0);
	WE: IN std_logic;
	CLK: IN std_logic;
	SINE: OUT std_logic_VECTOR(15 downto 0);
	COSINE: OUT std_logic_VECTOR(15 downto 0));
END dds;

ARCHITECTURE dds_a OF dds IS

component wrapped_dds
	port (
	DATA: IN std_logic_VECTOR(25 downto 0);
	WE: IN std_logic;
	CLK: IN std_logic;
	SINE: OUT std_logic_VECTOR(15 downto 0);
	COSINE: OUT std_logic_VECTOR(15 downto 0));
end component;

-- Configuration specification 
	for all : wrapped_dds use entity XilinxCoreLib.C_DDS_V4_1(behavioral)
		generic map(
			c_phase_offset_value => "0",
			c_phase_increment_value => "0",
			c_has_rdy => 0,
			c_has_sclr => 0,
			c_phase_offset => 0,
			c_data_width => 26,
			c_accumulator_latency => 1,
			c_enable_rlocs => 0,
			c_phase_angle_width => 10,
			c_phase_increment => 1,
			c_has_rfd => 0,
			c_negative_sine => 0,
			c_latency => 4,
			c_has_ce => 0,
			c_has_aclr => 0,
			c_outputs_required => 2,
			c_pipelined => 1,
			c_accumulator_width => 26,
			c_mem_type => 0,
			c_negative_cosine => 0,
			c_noise_shaping => 1,
			c_output_width => 16);
BEGIN

U0 : wrapped_dds
		port map (
			DATA => DATA,
			WE => WE,
			CLK => CLK,
			SINE => SINE,
			COSINE => COSINE);
END dds_a;

-- synopsys translate_on

