----------------------------------------------------------------------
-- This file is owned and controlled by Xilinx and must be used     --
-- solely for design, simulation, implementation and creation of    --
-- design files limited to Xilinx devices or technologies. Use      --
-- with non-Xilinx devices or technologies is expressly prohibited  --
-- and immediately terminates your license.                         --
--                                                                  --
-- Xilinx products are not intended for use in life support         --
-- appliances, devices, or systems. Use in such applications are    --
-- expressly prohibited.                                            --
--                                                                  --
-- Copyright (C) 2001, Xilinx, Inc.  All Rights Reserved.           --
----------------------------------------------------------------------

-- You must compile this wrapper file, vfft1024v2.vhd when simulating 
-- the core, vfft1024v2.  When compiling the wrapper file, be sure to 
-- reference the XilinxCoreLib VHDL simulation library. For detailed 
-- instructions, please refer to the "Core Generator Guide".

-- synopsys translate_off
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

-- The synopsys directives "translate_off/translate_on" specified 
-- below are supported by XST, FPGA Express, Exemplar and Synplicity 
-- synthesis tools. 

Library XilinxCoreLib;

ENTITY vfft1024v2 IS
	port (
		clk		: in std_logic;
		rs		: in std_logic;
		start		: in std_logic;
		ce		: in std_logic;
		scale_mode	: in std_logic;					
		di_r		: in std_logic_vector(15 downto 0);
		di_i		: in std_logic_vector(15 downto 0);
		fwd_inv		: in std_logic;			
		io_mode0	: in std_logic;	
		io_mode1	: in std_logic;
		mwr		: in std_logic;
		mrd		: in std_logic;
		ovflo		: out std_logic;		
		result		: out std_logic;		
		mode_ce		: out std_logic;
		done		: out std_logic;		
		edone		: out std_logic;	
		io		: out std_logic;
		eio		: out std_logic;
		bank		: out std_logic;
		busy		: out std_logic;		
		wea		: out std_logic;			
		wea_x		: out std_logic;
		wea_y		: out std_logic;
            	web_x		: out std_logic;
		web_y		: out std_logic;
		ena_x		: out std_logic;
		ena_y		: out std_logic;
		index		: out std_logic_vector(9 downto 0);	
		addrr_x		: out std_logic_vector(9 downto 0);
          	addrr_y     	: out std_logic_vector(9 downto 0);		
		addrw_x		: out std_logic_vector(9 downto 0);		
		addrw_y		: out std_logic_vector(9 downto 0);		
		xk_r		: out std_logic_vector(15 downto 0);	
		xk_i		: out std_logic_vector(15 downto 0);	
		yk_r		: out std_logic_vector(15 downto 0);	
		yk_i		: out std_logic_vector(15 downto 0)
	);
END vfft1024v2;

ARCHITECTURE vfft1024v2_a OF vfft1024v2 IS

component wrapped_vfft1024v2
	port (
		clk		: in std_logic;
		rs		: in std_logic;
		start		: in std_logic;
		ce		: in std_logic;
		scale_mode	: in std_logic;					
		di_r		: in std_logic_vector(15 downto 0);
		di_i		: in std_logic_vector(15 downto 0);
		fwd_inv		: in std_logic;			
		io_mode0	: in std_logic;	
		io_mode1	: in std_logic;
		mwr		: in std_logic;
		mrd		: in std_logic;
		ovflo		: out std_logic;		
		result		: out std_logic;		
		mode_ce		: out std_logic;
		done		: out std_logic;		
		edone		: out std_logic;	
		io		: out std_logic;
		eio		: out std_logic;
		bank		: out std_logic;
		busy		: out std_logic;		
		wea		: out std_logic;			
		wea_x		: out std_logic;
		wea_y		: out std_logic;
            	web_x		: out std_logic;
		web_y		: out std_logic;
		ena_x		: out std_logic;
		ena_y		: out std_logic;
		index		: out std_logic_vector(9 downto 0);	
		addrr_x		: out std_logic_vector(9 downto 0);
          	addrr_y     	: out std_logic_vector(9 downto 0);		
		addrw_x		: out std_logic_vector(9 downto 0);		
		addrw_y		: out std_logic_vector(9 downto 0);		
		xk_r		: out std_logic_vector(15 downto 0);	
		xk_i		: out std_logic_vector(15 downto 0);	
		yk_r		: out std_logic_vector(15 downto 0);	
		yk_i		: out std_logic_vector(15 downto 0)
	);
end component;

-- Configuration specification 
	for all : wrapped_vfft1024v2 use entity XilinxCoreLib.vfft1024v2(behavioral)
		-- generic map( )
	;

BEGIN

U0 : wrapped_vfft1024v2
		port map (
		clk		=> clk,
		rs		=> rs,
		start		=> start,
		ce		=> ce,
		scale_mode	=> scale_mode,					
		di_r		=> di_r,
		di_i		=> di_i,
		fwd_inv		=> fwd_inv,
		io_mode0	=> io_mode0,
		io_mode1	=> io_mode1,
		mwr		=> mwr,
		mrd		=> mrd,
		ovflo		=> ovflo,
		result		=> result,
		mode_ce		=> mode_ce,
		done		=> done,
		edone		=> edone,
		io		=> io,
		eio		=> eio,
		bank		=> bank,
		busy		=> busy,
		wea		=> wea,
		wea_x		=> wea_x,
		wea_y		=> wea_y,
		web_x		=> web_x,
		web_y		=> web_y,
		ena_x		=> ena_x,
		ena_y		=> ena_y,
		index		=> index,
		addrr_x		=> addrr_x,
		addrr_y     	=> addrr_y,
		addrw_x		=> addrw_x,		
		addrw_y		=> addrw_y,	
		xk_r		=> xk_r,
		xk_i		=> xk_i,
		yk_r		=> yk_r,
		yk_i		=> yk_i	
            );

END vfft1024v2_a;

-- synopsys translate_on
